Bug 219056

Summary: Review Request: iscsitarget - iSCSI Enterprise Target
Product: [Fedora] Fedora Reporter: David Nalley <david.nalley>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: gawain.lynch, jamundso, mmahut, pcfe
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-06 15:01:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description David Nalley 2006-12-10 00:01:44 EST
Spec URL: http://nalley.sc/david/fedora/iscsitarget.spec
SRPM URL: http://nalley.sc/david/fedora/iscsitarget-0.4.14-7.src.rpm
Description: IET is software (specifically a kernel module, daemon, and management app) for building a iSCSI storage system on Linux) This is my first package, and I need a sponsor. I am sure there are a plethora of mistakes, please feel free to point out my problems. 

rpmlint on the application RPM complains about documentation permissions, (0644) but that makes sense to me for documentation. rpmlint also complains about lack of capitalization in the first letter of the package name, but what is present is correct for the package, though many places have to capitalize, so if I need to change that, please let me know. 

rpmlint on the kernel module complains that depmod is being run against something other than the running kernel, which appears to be incorrect (both from reading the spec file and seeing what was built and whats running.
Comment 1 David Nalley 2006-12-10 00:29:52 EST
I missed adding the URL to source, just changed that new spec and srpm are: 
Spec URL: http://nalley.sc/david/fedora/iscsitarget.spec
SRPM URL: http://nalley.sc/david/fedora/iscsitarget-0.4.14-8.src.rpm
Comment 2 Wilmer Jaramillo M. 2007-01-11 18:45:48 EST
I look only some things, you should use the rpm directory macros %{_sbindir} and
%{_initrddir}[1] and the command 'ln' must create with '-sf' parameter for a
clean re-install output, you should delete of top the _docdir macro and the
Packager tag should not be used[2].

[1] http://fedoraproject.org/wiki/Extras/RPMMacros
[2] http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 3 David Nalley 2007-01-31 15:22:33 EST
Ok, fixed here:
Spec URL: http://nalley.sc/david/fedora/iscsitarget.spec
SRPM URL: http://nalley.sc/david/fedora/iscsitarget-0.4.14-9.src.rpm

Thanks for the review! 

Comment 4 Marek Mahut 2007-06-10 15:19:37 EDT
- specfile is properly named, is cleanly written and uses macros consistently.
    put \n between each entry in %changelog

- description is not OK
    %description is too ample, rpmlint is complaining about
summary-not-capitalized, but it's ok as it is the name of the software

- permissions are not correct
   both iscsitarget.spec and iscsitarget-0.4.14.tar.gz are 777
   /usr/share/doc/iscsitarget-0.4.14 is 644, but this is ok
Comment 5 Jerry Amundson 2007-07-05 12:50:14 EDT
Perhaps this duplication has already been discussed?
Bugzilla Bug 197867: Review Request: iscsitarget (includes kernel module)
Comment 6 Jason Tibbitts 2007-07-06 15:01:24 EDT
I'm closing this as a duplicate, since that's what should have been done long
ago.  Perhaps the submitters could work together.

*** This bug has been marked as a duplicate of 197867 ***